//
//  PW_VideoTagsView.m
//  ThreeDimensional
//
//  Created by DFSJ on 17/2/28.
//  Copyright © 2017年 DFSJ. All rights reserved.
//

#import "PW_VideoTagsView.h"


@interface PW_VideoTagsView ()

@property (nonatomic,strong) NSArray *GroupArray;
@property (nonatomic,assign) NSInteger index;

@end

@implementation PW_VideoTagsView

-(instancetype) initWithFrame:(CGRect)frame dataArr:(NSArray *)array{
    
    if (self = [super initWithFrame:frame]) {
        
        self.backgroundColor = [UIColor whiteColor];
        
        UIView *view = [[UIView alloc]init];
        view.frame = CGRectMake(0, 15, self.frame.size.width, 1);
        view.backgroundColor = [UIColor whiteColor];
        
        [self addSubview:view];
        
        UIButton *videoLabel = [[UIButton alloc]init];
        videoLabel.backgroundColor = [UIColor whiteColor];
        videoLabel.frame = CGRectMake((self.frame.size.width-100)/2, 1, 100, 30);
        videoLabel.layer.masksToBounds = YES;
        videoLabel.layer.cornerRadius = 15;
        [videoLabel setTitle:@"视频标签" forState:UIControlStateNormal];
        [videoLabel setTitleColor:[UIColor colorWithRed:153/255.0 green:153/255.0 blue:153/255.0 alpha:1/1.0] forState:UIControlStateNormal];
        videoLabel.titleLabel.textAlignment = NSTextAlignmentCenter;
        videoLabel.titleLabel.font = [UIFont fontWithName:@"PingFangSC-Regular" size:16];
        videoLabel.layer.borderWidth = 1.0f;
        videoLabel.layer.borderColor = [UIColor colorWithRed:153/255.0 green:153/255.0 blue:153/255.0 alpha:1/1.0].CGColor;
        [self addSubview:videoLabel];
        
        self.GroupArray = array;
        
        for (int i = 0; i < array.count; i ++)
        {
            
            NSString *name = array[i];
            
            static UIButton *recordBtn =nil;
            UIButton *btn = [UIButton buttonWithType:UIButtonTypeSystem];
            btn.titleLabel.font = [UIFont fontWithName:@"PingFangSC-Regular" size:14];
            CGRect rect = [name boundingRectWithSize:CGSizeMake(self.frame.size.width -20, 30) options:NSStringDrawingUsesLineFragmentOrigin|NSStringDrawingUsesFontLeading attributes:@{NSFontAttributeName:btn.titleLabel.font} context:nil];
            
            CGFloat BtnW = rect.size.width + 20;
            CGFloat BtnH = rect.size.height + 10;
            
            
            btn.layer.masksToBounds = YES;
            btn.layer.cornerRadius = BtnH/2;
            btn.layer.borderWidth = 1.0f;
            
            if (i == 0)
            {
                btn.frame =CGRectMake(10, 15 + CGRectGetMaxY(videoLabel.frame), BtnW, BtnH);
                
            }else{
                
                CGFloat yuWidth = self.frame.size.width - 20 -recordBtn.frame.origin.x -recordBtn.frame.size.width;
                
                if (yuWidth >= rect.size.width) {
                    
                    btn.frame =CGRectMake(recordBtn.frame.origin.x +recordBtn.frame.size.width + 10, recordBtn.frame.origin.y, BtnW, BtnH);
                }else{
                    
                    btn.frame =CGRectMake(10, recordBtn.frame.origin.y+recordBtn.frame.size.height+10, BtnW, BtnH);
                }
                
            }
            [btn setTitle:name forState:UIControlStateNormal];
           
            [self addSubview:btn];

            self.frame = CGRectMake(self.frame.origin.x, self.frame.origin.y,self.frame.size.width,CGRectGetMaxY(btn.frame)+10);
            recordBtn = btn;
            
            
            btn.tag = i;
            
            if (btn.tag % 3 == 0){
                
                [btn setTitleColor:[UIColor colorWithRed:71/255.0 green:135/255.0 blue:255/255.0 alpha:1/1.0] forState:UIControlStateNormal];
                
                btn.layer.borderColor = [UIColor colorWithRed:71/255.0 green:135/255.0 blue:255/255.0 alpha:1/1.0].CGColor;
                
            }else if(btn.tag % 3 == 1){
                
                [btn setTitleColor:[UIColor colorWithRed:255/255.0 green:144/255.0 blue:0/255.0 alpha:1/1.0] forState:UIControlStateNormal];
                btn.layer.borderColor = [UIColor colorWithRed:255/255.0 green:144/255.0 blue:0/255.0 alpha:1/1.0].CGColor;
                
                
            }else if (btn.tag % 3 == 2){
            
                btn.layer.borderColor =  [UIColor colorWithRed:14/255.0 green:185/255.0 blue:196/255.0 alpha:1/1.0].CGColor;
                [btn setTitleColor: [UIColor colorWithRed:14/255.0 green:185/255.0 blue:196/255.0 alpha:1/1.0] forState:UIControlStateNormal];
            }
            
            [btn addTarget:self action:@selector(BtnClick:) forControlEvents:UIControlEventTouchUpInside];
    
        }
    }
    
    
    return self;
    
}

-(void) BtnClick:(UIButton *)sender{
    
    
    __weak typeof(self) weakSelf = self;
    
    if (weakSelf.btnBlock) {
        
        weakSelf.btnBlock(sender.tag);
    }
    
}

-(void) btnClickBlock:(BtnBlock)btnBlock{
    
    self.btnBlock = btnBlock;
    
}

@end
